<template>
  <CellWrapper title="快速查询" :cellContentHeight="cellContentHeight">
    <template v-slot:header>
      <span class="el-icon-setting" title="设置" @click="openSetting"></span>
    </template>

    <quick
      ref="quick"
      quickType="search"
      :cellContentHeight="cellContentHeight"
    ></quick>
  </CellWrapper>
</template>

<script>
import CellWrapper from "../common/CellWrapper.vue";
import quick from "../common/quick.vue";

import defaultQuickSearchItems from "../common/defaultQuickSearchItems.js";

export default {
  name: "QuickSearch",
  components: { CellWrapper, quick },
  props: {
    cellContentHeight: {
      type: Number,
      required: true,
    },
  },
  created() {
    const admin = localStorage.getItem("quick-search-admin");
    if (!admin) {
      localStorage.setItem(
        "quick-search-admin",
        JSON.stringify(defaultQuickSearchItems.admin)
      );
    }
    const normal = localStorage.getItem("quick-search-normal");
    if (!normal) {
      localStorage.setItem(
        "quick-search-normal",
        JSON.stringify(defaultQuickSearchItems.normal)
      );
    }
  },
  methods: {
    openSetting() {
      this.$refs.quick.openSetting();
    },
  },
};
</script>

<style scoped></style>
